OpenCV: 2D Features Framework

| OpenCV 3.4.2 Open Source Computer Vision

Modules | Classes | Typedefs | Functions
2D Features Framework

## Modules
| Feature Detection and Description
| Descriptor Matchers
| Drawing Function of Keypoints and Matches
| Object Categorization

## Classes
struct | cv::Accumulator< T >
struct | cv::Accumulator< char >
struct | cv::Accumulator< short >
struct | cv::Accumulator< unsigned char >
struct | cv::Accumulator< unsigned short >
class | cv::Feature2D
| Abstract base class for 2D image feature detectors and descriptor extractors. More...
class | cv::KeyPointsFilter
| A class filters a vector of keypoints. More...
struct | cv::L1< T >
struct | cv::L2< T >
struct | cv::SL2< T >

## Typedefs
typedef Feature2D | cv::DescriptorExtractor
typedef Feature2D | cv::FeatureDetector

## Functions
void | cv::computeRecallPrecisionCurve (const std::vector< std::vector< DMatch > > &matches1to2, const std::vector< std::vector< uchar > > &correctMatches1to2Mask, std::vector< Point2f > &recallPrecisionCurve)
void | cv::evaluateFeatureDetector (const Mat &img1, const Mat &img2, const Mat &H1to2, std::vector< KeyPoint > *keypoints1, std::vector< KeyPoint > *keypoints2, float &repeatability, int &correspCount, const Ptr< FeatureDetector > &fdetector=Ptr< FeatureDetector >())
int | cv::getNearestPoint (const std::vector< Point2f > &recallPrecisionCurve, float l_precision)
float | cv::getRecall (const std::vector< Point2f > &recallPrecisionCurve, float l_precision)

## Detailed Description

## Typedef Documentation

## ◆ DescriptorExtractor

typedef Feature2D cv::DescriptorExtractor

Extractors of keypoint descriptors in OpenCV have wrappers with a common interface that enables you to easily switch between different algorithms solving the same problem. This section is devoted to computing descriptors represented as vectors in a multidimensional space. All objects that implement the vector descriptor extractors inherit the DescriptorExtractor interface.

## ◆ FeatureDetector

typedef Feature2D cv::FeatureDetector

Feature detectors in OpenCV have wrappers with a common interface that enables you to easily switch between different algorithms solving the same problem. All objects that implement keypoint detectors inherit the FeatureDetector interface.

## Function Documentation

## ◆ computeRecallPrecisionCurve()

void cv::computeRecallPrecisionCurve | ( | const std::vector< std::vector< DMatch > > & | matches1to2,
|  | const std::vector< std::vector< uchar > > & | correctMatches1to2Mask,
|  | std::vector< Point2f > & | recallPrecisionCurve
| ) |  |

## ◆ evaluateFeatureDetector()

void cv::evaluateFeatureDetector | ( | const Mat & | img1,
|  | const Mat & | img2,
|  | const Mat & | H1to2,
|  | std::vector< KeyPoint > * | keypoints1,
|  | std::vector< KeyPoint > * | keypoints2,
|  | float & | repeatability,
|  | int & | correspCount,
|  | const Ptr< FeatureDetector > & | fdetector = `Ptr< FeatureDetector >()`
| ) |  |

## ◆ getNearestPoint()

int cv::getNearestPoint | ( | const std::vector< Point2f > & | recallPrecisionCurve,
|  | float | l_precision
| ) |  |

## ◆ getRecall()

float cv::getRecall | ( | const std::vector< Point2f > & | recallPrecisionCurve,
|  | float | l_precision
| ) |  |